Package db

# Class IntField

java.lang.Object
db.Field
db.IntField

All Implemented Interfaces:
  `Comparable<Field>`

public final class IntField extends Field
`IntField` provides a wrapper for 4-byte signed integer data which is read or written to a Record.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class db.Field

  `Field.UnsupportedFieldException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IntField`
  `INSTANCE`
  Instance intended for defining a `Table` `Schema`
  `static final IntField`
  `MAX_VALUE`
  Maximum integer field value
  `static final IntField`
  `MIN_VALUE`
  Minimum integer field value
  `static final IntField`
  `ZERO_VALUE`
  Zero int field value

  ### Fields inherited from class db.Field

  `EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntField()`
  Construct an integer field with an initial value of 0.
  `IntField(int i)`
  Construct an integer field with an initial value of i.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Field o)`
  Compares this Field with another Field for order.
  `IntField`
  `copyField()`
  Create new instance of this field with the same value.
  `boolean`
  `equals(Object obj)`
  Determine if the specified Object is another Field which has the same type and value as this Field.
  `byte[]`
  `getBinaryData()`
  Get data as a byte array.
  `int`
  `getIntValue()`
  Get field as an integer value.
  `long`
  `getLongValue()`
  Get field as a long value.
  `String`
  `getValueAsString()`
  Get field value as a formatted string
  `int`
  `hashCode()`
  `final boolean`
  `isNull()`
  Determine if the field has been set to a null-state or value.
  `IntField`
  `newField()`
  Create new instance of this field type.
  `void`
  `setBinaryData(byte[] bytes)`
  Set data from binary byte array.
  `void`
  `setIntValue(int value)`
  Set field's integer value.
  `void`
  `setLongValue(long value)`
  Set field's long value.
  `String`
  `toString()`

  ### Methods inherited from class db.Field

  `canIndex, getBooleanValue, getByteValue, getShortValue, getString, isSameType, isVariableLength, setBooleanValue, setByteValue, setShortValue, setString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MIN_VALUE

    public static final IntField MIN_VALUE
    Minimum integer field value

  - ### MAX_VALUE

    public static final IntField MAX_VALUE
    Maximum integer field value

  - ### ZERO_VALUE

    public static final IntField ZERO_VALUE
    Zero int field value

  - ### INSTANCE

    public static final IntField INSTANCE
    Instance intended for defining a `Table` `Schema`

- ## Constructor Details

  - ### IntField

    public IntField()
    Construct an integer field with an initial value of 0.

  - ### IntField

    public IntField(int i)
    Construct an integer field with an initial value of i.
    Parameters:
      `i` - initial value

- ## Method Details

  - ### getIntValue

    public int getIntValue()
    Description copied from class: `Field`
    Get field as an integer value.
    Overrides:
      `getIntValue` in class `Field`
    Returns:
      integer value

  - ### setIntValue

    public void setIntValue(int value)
    Description copied from class: `Field`
    Set field's integer value.
    Overrides:
      `setIntValue` in class `Field`
    Parameters:
      `value` - integer value

  - ### getValueAsString

    public String getValueAsString()
    Description copied from class: `Field`
    Get field value as a formatted string
    Specified by:
      `getValueAsString` in class `Field`
    Returns:
      field value string

  - ### equals

    public boolean equals(Object obj)
    Description copied from class: `Field`
    Determine if the specified Object is another Field which has the same type and value as this Field. When comparing a `PrimitiveField`, with a null state, a value of zero (0) is used.
    Specified by:
      `equals` in class `Field`
    Parameters:
      `obj` - another object
    Returns:
      true if this field equals obj

  - ### compareTo

    public int compareTo(Field o)
    Description copied from class: `Field`
    Compares this Field with another Field for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified Field.
    NOTE: Field objects do not fully comply with the Comparable interface. Only the same Field implementations may be compared. In addition, the null state is not considered when comparing `PrimitiveField`s which have a zero (0) value.
    Specified by:
      `compareTo` in interface `Comparable<Field>`
    Specified by:
      `compareTo` in class `Field`
    Parameters:
      `o` - another Field which is the same type as this Field
    Returns:
      field comparison result (see `Comparable.compareTo(Object)`).

  - ### copyField

    public IntField copyField()
    Description copied from class: `Field`
    Create new instance of this field with the same value.
    Specified by:
      `copyField` in class `Field`
    Returns:
      new field instance with same value

  - ### newField

    public IntField newField()
    Description copied from class: `Field`
    Create new instance of this field type.
    Specified by:
      `newField` in class `Field`
    Returns:
      new field instance with undefined initial value

  - ### getLongValue

    public long getLongValue()
    Description copied from class: `Field`
    Get field as a long value. All fixed-length field objects must implement this method
    Overrides:
      `getLongValue` in class `Field`
    Returns:
      long value

  - ### setLongValue

    public void setLongValue(long value)
    Description copied from class: `Field`
    Set field's long value. All fixed-length field objects must implement this method
    Overrides:
      `setLongValue` in class `Field`
    Parameters:
      `value` - long value

  - ### getBinaryData

    public byte[] getBinaryData()
    Description copied from class: `Field`
    Get data as a byte array.
    Specified by:
      `getBinaryData` in class `Field`
    Returns:
      byte[]

  - ### setBinaryData

    public void setBinaryData(byte[] bytes)
    Description copied from class: `Field`
    Set data from binary byte array. All variable-length fields must implement this method.
    Specified by:
      `setBinaryData` in class `Field`
    Parameters:
      `bytes` - field data

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `Field`

  - ### isNull

    public final boolean isNull()
    Description copied from class: `Field`
    Determine if the field has been set to a null-state or value.
    Specified by:
      `isNull` in class `Field`
    Returns:
      true if field has been set to a null state or value, else false

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`